vmware compute_attributes, API: allow specifying "CPU Limit"

06/11/2014 12:11 AM - mark mark

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

vmware has a notion of CPU Limit , which allows the user to set the limit on the amount of computing power that VM can allocate.

please provide a way for us to specify this limit when creating a new vm.

even only providing this at the API level (POST api/hosts) would be super-useful, and would meet our needs.

History

#1 - 06/11/2014 12:07 PM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware
http://pubs.vmware.com/vsphere-50/index.jsp?topic=%2Fcom.vmware.vsphere.resmgmt.doc_50%2FGUID-117972E3-F5D3-4641-9EAC-F9DD2B0761C3.html&resultof=%22cpu%22%20%22limit%22%20
http://theforeman.org/api/apidoc/v1/hosts/create.html
http://www.tcpdf.org

